# this file must be UTF-8 encoded
#######################################################################
# PAGE STYLES 
#######################################################################

package Style

# to use this style system output
# _header_
# all your page content, then
# _footer_

# use the page parameter 'style' to choose the appropriate style

# the style system uses
# _pagetitle_  - what gets displayed at the top of the browser window
# _pagescriptextra_ - any extra javascript you want included in the header
# _pagebannerextra_ - anything extra you want displayed in the page banner
# _pagefooterextra_ - anything extra you want displayed in the footer

# defaults for the above macros
_pagetitle_ {_collectionname_}
_pagescriptextra_ {}
_pagebannerextra_ {}
_pagefooterextra_ {}

# it also relies on lots of Globals, the most important of these are:
# _cookie_ - put in the cgi header
# _globalscripts_ - javascript stuff
# _imagecollection_
# _imagehome_
# _imagehelp_
# _imagepref_
# _imagethispage_ (this is now not an image, but text. should be renamed?)
# _linkotherversion_

# _httpiconchalk_ - the image down the left of the page - is now done
# by the style sheet.

_header_ {_cgihead_
_htmlhead_(class="bgimage")_startspacer__pagebanner_
}

_header_[v=1] {_cgihead_
_htmlhead__pagebanner_
}

# _cgihead_ {Content-type: text/html
# _cookie_
#
# }	
_cgihead_{}

# may be set in collection's extra.dm
_collectionspecificstyle_ {}

# any declarations relating to CSS that should go in the html head part.
# declarations containing images are done here so the path is correct
# at runtime.
_cssheader_ {
<link rel="stylesheet" href="_cssfilelink_" type="text/css" 
   title="Greenstone Style" charset="UTF-8">
<link rel="alternate stylesheet" href="_httpimg_/style-print.css"
   type="text/css" title="Printer" charset="UTF-8" media="print, screen">
<link rel="stylesheet" href="_httpimg_/style-print.css" type="text/css" 
   title="Printer" charset="UTF-8" media="print">

<style type="text/css">
body.bgimage \{ background-image: url("_httpimg_/chalk.gif"); \}
div.navbar \{ background-image: url("_httpimg_/bg_green.png"); \}
div.divbar \{ background-image: url("_httpimg_/bg_green.png"); \}
span.navlink \{ background-image: url("_httpimg_/bg_off.png"); \}
span.navlink_sel \{ background-image: url("_httpimg_/bg_green.png"); \}
span.navlink:hover \{ background-image: url("_httpimg_/bg_on.png"); \}
a.navlink \{ background-image: url("_httpimg_/bg_off.png"); \}
a.navlink_sel \{ background-image: url("_httpimg_/bg_green.png"); \}
a.navlink:hover \{ background-image: url("_httpimg_/bg_on.png"); \}
p.bannertitle \{background-image: url("_httpimg_/banner_bg.png"); \}
p.collectiontitle \{background-image: url("_httpimg_/banner_bg.png"); \}
</style>
_collectionspecificstyle_

}

# separate macro so it can be easily overridden for customised collections
_cssfilelink_ {_httpimg_/style.css}

# htmlhead uses:
# _1_ - extra parameters for the body tag
# _pagetitle_
# _globalscripts_
_htmlhead_ {<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">

<html_htmlextra_>
<head>
<title>_pagetitle_</title>
_globalscripts_
_cssheader_
</head>

<body _1_>
}


_spacerwidth_ {65}

# _startspacer_ is a spacer that gives pages a left-hand margin. 
# It must eventually be closed by _endspacer_.
_startspacer_ {
<div id="page">
}

# _bannertitle_ is defined in nav_css/ns4.dm, and is either text or
# a banner image
_pagebanner_ {
<!-- page banner (\_style:pagebanner\_) -->
<div id="banner">
<div class="pageinfo"> 
<p class="bannerlinks">_globallinks_</p>
_bannertitle_
</div>
<div class="collectimage">_imagecollection_</div>
</div>
<div class="bannerextra">_pagebannerextra_</div>
<!-- end of page banner -->
}

_pagebanner_[v=1] {
<!-- page banner - text version [v=1] (\_style:pagebanner\_) -->
<center><h2><b><u>_imagecollection_</u></b></h2></center><p>
_globallinks_
_pagebannerextra_
<p>
<!-- end of page banner -->
}

# note we no longer close off one of the startspacer tables here!!
_footer_ {
<!-- page footer (\_style:footer\_) -->
_pagefooterextra__endspacer__htmlfooter_
}

# v=1 footer: not using startspacer in the header, so dont put it in the footer
_footer_ [v=1]{
<!-- page footer [v=1] (\_style:footer\_) -->
_pagefooterextra_
_htmlfooter_
}

# close off anything opened by startspacer
_endspacer_ {	
</div> <!-- id=page -->
}	


_htmlfooter_ {
</body>
</html>
}

# imagescript only used in nav_ns4.dm
_globalscripts_{
<script language="javascript" type="text/javascript">
_If_(_pagescriptextra_,_pagescriptextra_)
_imagescript_
</script>
}

_globalscripts_ [v=1] {
<script language="javascript" type="text/javascript">
<!--
_If_(_cgiargx_,_scriptdetach_)
_pagescriptextra_
// -->
</script>
}

_scriptdetach_ {
    function close\_detach() \{
	close();
    \}
}
